#!/bin/env dls-python
import PandATest

"""
LVDS Loop Back (LB) test
"""


class LvdsLB(PandATest.PandATest):

    def get_user_input(self):
        inputy = '.'
        while inputy not in ['']:
            print "Loopback connecters for LVDS connected, OK ? [return]"
            inputy = raw_input()

    def test_code(self):
        outputs = [1, 2]
        inputs = [1, 2]
        channel_connect = {
            outputs[0]: inputs[0],
            outputs[1]: inputs[1]
        }

        for outp, inp in channel_connect.iteritems():
            self.set_output('LVDSOUT', outp, '.VAL=BITS.ONE', 'OK')
            for i in inputs:
                self.test_result.append(
                    self.check_input('LVDSIN', outp, 1, i, inp, 1))
            self.set_output('LVDSOUT', outp, '.VAL=BITS.ZERO', 'OK')
            for i in inputs:
                self.test_result.append(
                    self.check_input('LVDSIN', outp, 0, i, inp, 0))

        return not all(self.test_result)