#!/bin/env dls-python
import PandATest

"""
LVDS Unplugged (U) test
"""


class LvdsU(PandATest.PandATest):

    def __init__(self, *args, **kwargs):
        super(LvdsU, self).__init__(*args, **kwargs)

    def get_user_input(self):
        inputy = '.'
        while inputy not in ['']:
            print "Loopback connecters for LVDS NOT connected, OK ? [return]"
            inputy = raw_input()

    def test_code(self):
        inputs = [1, 2]
        outputs = [1, 2]

        for o in outputs:
            self.set_output('LVDSOUT', o, '.VAL=BITS.ONE', 'OK')
            for i in inputs:
                self.test_result.append(
                    self.check_input('LVDSIN', o, 1, i, o, 1, 1))
            self.set_output('LVDSOUT', o, '.VAL=BITS.ZERO', 'OK')
            for i in inputs:
                self.test_result.append(
                    self.check_input('LVDSIN',o, 0, i, o, 1, 1))

        return not all(self.test_result)