#!/bin/env dls-python
import PandATest

"""
TTL Loop Back (LB) test
"""

class TtlLB(PandATest.PandATest):

    def __init__(self, *args, **kwargs):
        super(TtlLB, self).__init__(*args, **kwargs)

    def get_user_input(self):
        inputy = '.'
        while inputy not in ['']:
            print "Loopback connecters for TTL connected, OK ? [return]"
            inputy = raw_input()

    def test_code(self):
        outputs = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10]
        inputs = [1, 2, 3, 4, 5, 6]
        channel_connect = {
            outputs[0]: inputs[0],
            outputs[1]: inputs[1],
            outputs[2]: inputs[2],
            outputs[3]: inputs[3],
            outputs[4]: inputs[4],
            outputs[5]: inputs[5],
            outputs[6]: inputs[0],
            outputs[7]: inputs[1],
            outputs[8]: inputs[2],
            outputs[9]: inputs[3]
        }

        for outp, inp in channel_connect.iteritems():
            self.set_output('TTLOUT', outp, '.VAL=BITS.ONE', 'OK')
            for i in inputs:
                self.test_result.append(
                    self.check_input('TTLIN', outp, 1, i, inp, 1))
            self.set_output('TTLOUT', outp, '.VAL=BITS.ZERO', 'OK')
            for i in inputs:
                self.test_result.append(
                    self.check_input('TTLIN', outp, 0, i, inp, 0))

        return not all(self.test_result)
